package com.platform.yijia.service;

import com.platform.yijia.param.request.PayOrderRequest;
import com.platform.yijia.pojo.AppUserInfo;
import com.platform.yijia.pojo.PayOrder;

import java.util.List;
import java.util.Map;

public interface PayOrderService {

    //订单信息数据落地
     String AddPayOrderInfo(PayOrderRequest payOrderRequest, PayOrder payOrder);

     //根据订单号查询订单信息
     List<PayOrder> getPayOrderList(String orderNo);

     //修改订单状态
     void getUpdatePayOrder(PayOrder payOrder);

     //根据订单号查询
     PayOrder searchPayOrder(Integer orderId);


}
